Package com.independentsoft.office.spreadsheet

# Enum Class DataValidationType

java.lang.Object
java.lang.Enum<DataValidationType>
com.independentsoft.office.spreadsheet.DataValidationType

All Implemented Interfaces:
  `Serializable`, `Comparable<DataValidationType>`, `Constable`

public enum DataValidationType extends Enum<DataValidationType>
The Enum DataValidationType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CUSTOM`
  `DATE`
  `DECIMAL`
  `LIST`
  `NONE`
  `TEXT_LENGTH`
  `TIME`
  `WHOLE_NUMBER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DataValidationType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static DataValidationType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CUSTOM

    public static final DataValidationType CUSTOM

  - ### DATE

    public static final DataValidationType DATE

  - ### DECIMAL

    public static final DataValidationType DECIMAL

  - ### LIST

    public static final DataValidationType LIST

  - ### TEXT_LENGTH

    public static final DataValidationType TEXT_LENGTH

  - ### TIME

    public static final DataValidationType TIME

  - ### WHOLE_NUMBER

    public static final DataValidationType WHOLE_NUMBER

  - ### NONE

    public static final DataValidationType NONE

- ## Method Details

  - ### values

    public static DataValidationType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DataValidationType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null